View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000506aMuleMiscpublic2005-07-21 13:352005-11-14 21:07
Reportereyalzo 
Assigned ToXaignar 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version2.0.3 
Target VersionFixed in VersionSVN 
Summary0000506: aMule doesn't handle multiple sources given in ed2k link
DescriptionAccording to http://www.amule.org/wiki/index.php/Ed2k_link [^] there is a way to specify the source(s) where the file can be found.
First, it seems like the spec is missing something - before "sources," you habe to put a "/" delimeter.
Second, I didn't find a way to specify more than one source. So I had to change the code to do that. It seems like there is a bug in ED2KLink.cpp, where the sources loop is found.
Additional InformationI can offer a fix for that, but I'm not sure if I understood the spec correctly. My fix is using a more reasonable format.
TagsNo tags attached.
Fixed in Revision
Operating System
Attached Files

- Relationships

-  Notes
(0001451)
Xaignar (manager)
2005-11-14 21:07

The ED2KLink classes have been reworked, and multiple sources in file-links work now. I have also updated the description on the wiki-page, and should that not be enough, you can always change it. ;)

- Issue History
Date Modified Username Field Change
2005-07-21 13:35 eyalzo New Issue
2005-07-23 17:52 Xaignar Status new => acknowledged
2005-10-30 16:58 Xaignar Status acknowledged => assigned
2005-10-30 16:58 Xaignar Assigned To => lfroen
2005-10-30 17:00 Xaignar Assigned To lfroen => Xaignar
2005-11-14 21:07 Xaignar Status assigned => resolved
2005-11-14 21:07 Xaignar Fixed in Version => CVS
2005-11-14 21:07 Xaignar Resolution open => fixed
2005-11-14 21:07 Xaignar Note Added: 0001451


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker